Subject: Ticket Assigned - Delay in delivering the order
From: Lifestyle <[email-masked]>
To: [email-masked]
Date: Fri, 14 May 2021 09:37:01 +0000

Hi Elharith elsiddig,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delay in delivering the order Hi, My order no : 9658775815, has not yet been delivered,  order was placed
on 6th May, I'm suppose to receive within 5 days but even after 1 week I
see the same status.. I'm repeatedly calling customer care to enquire,  I'm
getting the same answer from them but no improvement in the status of my
order.. I placed order in other online portals they are delivering order in
2-3 days they why can't centerpoint?? Very poor service by centerpoint...

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2575891